[Qa-jenkins-scm] [jenkins.debian.net] 01/01: detect dpkg_stretch_find_trigger_cycles job as zombie

Holger Levsen holger at layer-acht.org
Wed Sep 6 15:53:11 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 291ec41c70fea42a0938f2bc607e76c973f79f41
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Sep 6 17:53:05 2017 +0200

    detect dpkg_stretch_find_trigger_cycles job as zombie
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_node_health_check.sh | 2 +-
 job-cfg/dpkg.yaml                     | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 5afc7b6..4f5b868 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -145,7 +145,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
 	# and we dont know why and when that happens,
 	# so just report those zombies here.
 	#
-	ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a|stretch_install_education-thin-client-server|jessie_multiarch_versionskew' || true)
+	ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles' || true)
 	if [ ! -z "$ZOMBIES" ] ; then
 		echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
 		for z in $ZOMBIES ; do
diff --git a/job-cfg/dpkg.yaml b/job-cfg/dpkg.yaml
index fa044fa..d1c1934 100644
--- a/job-cfg/dpkg.yaml
+++ b/job-cfg/dpkg.yaml
@@ -34,7 +34,7 @@
 
 - job-template:
     defaults: dpkg
-    name: '{name}_stretch_find_trigger_cycles'
+    name: '{name}_buster_find_trigger_cycles'
 
 - job-template:
     defaults: dpkg
@@ -43,10 +43,10 @@
 - project:
     name: dpkg
     jobs:
-       - '{name}_stretch_find_trigger_cycles':
-           my_description: 'Find dpkg trigger cycles in Debian stretch.'
+       - '{name}_buster_find_trigger_cycles':
+           my_description: 'Find dpkg trigger cycles in Debian buster.'
            my_time: '0 10 * * 2'
-           my_shell: '/srv/jenkins/bin/find_dpkg_trigger_cycles.sh stretch'
+           my_shell: '/srv/jenkins/bin/find_dpkg_trigger_cycles.sh buster'
        - '{name}_sid_find_trigger_cycles':
            my_description: 'Find dpkg trigger cycles in Debian sid.'
            my_time: '0 12 * * 2'

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list